header {
  text-align: center;
  color: #fff;

  background: linear-gradient(to right, #232526, #414345);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);

  padding: 4.5rem;

  width: 100%;
  height: 35%;
}

header h1 {
  font-size: 3rem;
  top: 3dvh;
  animation: slideRight 1s normal;
}

header h2 {
    display: flex;
    flex-direction: row;

    justify-content: center;
}

header .cursor {
  display: inline-block;
  width: 1em; /* cursor width */
  height: 1em; /* match text height */
  animation: blinking 1s steps(2, start) infinite;
}



@keyframes blinking {
  from {
    visibility: visible;
  }

  to {
    visibility: hidden;
  }
}

 @media (max-width: 1024px) {
  header h1 {
    font-size:  1rem  2rem;
    padding: 0.5rem 2.5rem;
  }
}

@media (max-width: 768px) {
  header h1 {
    padding: 0.5rem 2rem;
    font-size: 2rem;
    top: 10rem;
  }
}

@media (max-width: 480px) {
  header h1 {
    padding: 1rem 1rem;
    font-size: 1rem;
  }
}


 @media (max-width: 1024px) {
  header h2 {
    font-size: 2rem;
    padding: 1.5rem 2.5rem;
  }
}

@media (max-width: 768px) {
  header h2 {
    padding: 1.5rem 1rem;
    font-size: 1.5rem;
    margin: 0.5rem;
  }
}

@media (max-width: 480px) {
  header h2 {
    padding: 1rem 1rem;
    font-size: 1rem;
  }
}

